RTCWAKE(8)

NUME
rtcwake - introduce o stare de somn a sistemului până la ora de trezire specificată

REZUMAT

rtcwake [opțiuni] [-d dispozitiv] [-m modul_de-așteptare] {-s secunde|-t timpul_t}

DESCRIERE

Acest program este utilizat pentru a introduce o stare de somn a sistemului și pentru a-l trezi automat la ora specificată.

Aceasta utilizează interfețele Linux multiplatformă pentru a intra într-o stare de repaus a sistemului și pentru a o părăsi nu mai târziu de o anumită oră. Folosește orice controlor de cadru RTC care acceptă fanioanele de trezire standard ale modelului de controlor.

În mod normal, această funcție este utilizată ca vechiul instrument apmsleep, pentru a trezi dintr-o stare de suspendare, cum ar fi ACPI S1 (standby) sau S3 (suspend-to-RAM). Majoritatea platformelor pot implementa aceste stări fără analogii de BIOS, APM sau ACPI.

Pe unele sisteme, acest lucru poate fi folosit ca nvram-wakeup, pentru a trezi din stări precum ACPI S4 (suspendare pe disc). Nu toate sistemele au suporturi persistente care să fie adecvate pentru astfel de moduri de suspendare.

Rețineți că funcționalitatea alarmei depinde de componentele electronice; nu toate RTC-urile sunt capabile să configureze o alarmă până la 24 de ore în viitor.

Configurația de suspendare poate fi întreruptă de hardware activ; de exemplu, dispozitive de intrare USB fără fir care continuă să trimită evenimente pentru o fracțiune de secundă după ce este apăsată tasta Enter. rtcwake încearcă să evite această problemă și așteaptă ca terminalul să se deconecteze înainte de a intra în starea de veghe a sistemului.

OPȚIUNI

-A, --adjfile fișier
    Specifică o cale alternativă la fișierul de ajustare.

-a, --auto
    Citește modul ceasului (dacă ceasul hardware este stabilit la UTC sau la ora locală) din fișierul adjtime, unde hwclock(8) stochează aceste informații. Aceasta este valoarea implicită.

--date marcaj-timp
    Stabilește ora de trezire la valoarea mărcii temporale. Formatul mărcii temporale poate fi oricare dintre următoarele:
YYYYMMDDhhmmss |
YYYY-MM-DD hh:mm:ss |
YYYY-MM-DD hh:mm | (secundele vor fi fixate la 00)
YYYY-MM-DD | (ora va fi fixată la 00:00:00)
hh:mm:ss | (data va fi stabilită la ziua de azi)
hh:mm | (data va fi stabilită la ziua de azi, secundele vor fi fixate la 00)
tomorrow | (tomorrow=mâine, ora este fixată la 00:00:00)
+5min |

-d, --device dispozitiv
    Utilizează dispozitivul specificat în loc de rtc0 ca ceas în timp real. Această opțiune este relevantă numai dacă sistemul dumneavoastră are mai mult de un RTC. Puteți specifica rtc1, rtc2, ... aici.

-l, --local
    Presupune că ceasul hardware este stabilit la ora locală, indiferent de conținutul fișierului adjtime.

--list-modes
    Lista argumentelor disponibile pentru opțiunea --mode.

-m, --mode mod
    Trece în starea de așteptare dată. Valorile valide pentru mod sunt:

    standby
        Starea ACPI S1. Această stare oferă economii minime, deși reale, de energie, asigurând în același timp o tranziție cu latență foarte redusă la un sistem funcțional. Acesta este modul implicit.

    freeze
        Procesele sunt înghețate, toate dispozitivele sunt suspendate și toate procesoarele sunt oprite. Această stare este o stare generală care nu are nevoie de niciun suport specific platformei, dar economisește mai puțină energie decât „Suspend-to-RAM” (suspendare în memorie), deoarece sistemul este încă în stare de funcționare (disponibilă începând cu Linux 3.9).

    mem
        Starea ACPI S3 („Suspend-to-RAM”, suspendare în memorie). Această stare oferă economii semnificative de energie, deoarece toate componentele sistemului sunt puse într-o stare de consum redus de energie, cu excepția memoriei, care este plasată în modul de auto-reîmprospătare pentru a-și păstra conținutul.

    disk
        Starea ACPI S4 („Suspend-to-disk”, suspendare în disc). Această stare oferă cea mai mare economie de energie și poate fi utilizată chiar și în absența unui suport de nivel scăzut al platformei pentru gestionarea energiei. Această stare funcționează în mod similar cu suspendarea în memorie dar include o etapă finală de scriere a conținutului memoriei pe disc.

    off
        Starea ACPI S5 („Poweroff”, Deconectare/Oprire). Acest lucru se face prin apelarea „/sbin/shutdown”. Nu este acceptată oficial de ACPI, dar de obicei funcționează.

    no
        Nu suspendă, ci doar stabilește ora de trezire a RTC.

    on
        Nu suspendă, ci citește dispozitivul RTC până când apare o oră de alarmă. Acest mod este util pentru depanare.

    disable
        Dezactivează o alarmă stabilită anterior.

    show
        Afișează informațiile de alarmă în format: „alarmă: off|on <ora>”. Ora este în formatul de ieșire ctime(), de exemplu, „alarmă: on Mar 16 Nov 2010 04:48:45”.

-n, --dry-run
    Această opțiune face totul în afară de a stabili efectiv alarma, de a suspenda sistemul sau de a aștepta declanșarea alarmei.

-s, --seconds secunde
    Stabilește ora de trezire la secunde în viitor de acum încolo.

-t, --time timpul_t
    Stabilește ora de trezire la ora absolută timpul_t. timpul_t este timpul în secunde de la 1970-01-01-01, 00:00 UTC. Folosiți instrumentul date(1) pentru a converti între ora interpretabilă de către om și time_t.

-u, --utc
    Asumă că ceasul hardware este stabilit la UTC (Universal Time Coordinated), indiferent de conținutul fișierului adjtime.

-v, --verbose
    Oferă informații detaliate la ieșire.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

NOTE

În prezent, unele sisteme ale PC-ului nu pot ieși din stări de repaus, cum ar fi mem, folosind doar codul nucleului accesat de acest controlor. Acestea au nevoie de ajutor din partea codului userspace pentru a face ca memoria tampon a cadrului video să funcționeze din nou.

FIȘIERE

/etc/adjtime

ISTORIC

Programul a fost postat de mai multe ori pe LKML și pe alte liste înainte de a apărea în mesajul de confirmare al nucleului pentru Linux 2.6 în GIT „commit” contribuția 87ac84f42a7a580d0dd72ae31d6a5eb4bfe04c6d.

AUTORI

Programul a fost scris de și îmbunătățit de

DREPTURI DE AUTOR

Acesta este software gratuit. Puteți redistribui copii ale acestuia în conformitate cu termenii Nu există NICI O GARANȚIE, în măsura permisă de lege.

CONSULTAȚI ȘI

adjtime_config(5), hwclock(8), date(1)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda rtcwake face parte din pachetul util-linux care poate fi descărcat de la